function::tokenize
Prev | Chapter 28. A collection of standard string functions | Next

## Name

function::tokenize — Return the next non-empty token in a string

## Synopsis

    1) tokenize:string(delim:string)

    2) tokenize:string(input:string,delim:string)

## Arguments

`delim`

  set of characters that delimit the tokens

`input`

  string to tokenize. If empty, returns the next non-empty token in the string passed in the previous call to `tokenize`.

## Description

1) This function returns the next token in the string passed in the previous call to tokenize. If no delimiter is found, the entire remaining input string is * returned. It returns empty when no more tokens are available.

2) This function returns the next non-empty token in the given input string, where the tokens are delimited by characters in the delim string. If the input string is non-empty, it returns the first token. If the input string is empty, it returns the next token in the string passed in the previous call to tokenize. If no delimiter is found, the entire remaining input string is returned. It returns empty when no more tokens are available.

Prev | Up | Next
function::text_strn | Home | Chapter 29. Utility functions for using ansi control chars in logs